# Contributing to this repository <!-- omit in toc -->

## Getting started <!-- omit in toc -->

### Before you begin

Have you read the [code of conduct](CODE_OF_CONDUCT.md)?

Check out the [existing issues](https://github.com/rfprod/material-design-icon-fonts-self-hosted-web/issues) and see what types of contributions are accepted.

### Don't see your issue? Open one

If you spot something new, open an issue using a [template](https://github.com/rfprod/material-design-icon-fonts-self-hosted-web/issues/new/choose). We'll use the issue to have a conversation about the problem you want to fix.

### Keep contributing

Now that you're a part of the community, you can keep participating in many ways.

## Types of contributions

You can contribute to the repository several ways.

### :memo: Issues

[Issues](https://docs.github.com/en/github/managing-your-work-on-github/about-issues) are used to track tasks that contributors can help with. If an issue has no labels, we haven't reviewed it yet and you shouldn't begin work on it.

If you've found something in the content or the website that should be updated, search open issues to see if someone else has reported the same thing. If it's something new, open an issue using a [template](https://github.com/rfprod/material-design-icon-fonts-self-hosted-web/issues/new/choose). We'll use the issue to have a conversation about the problem you want to fix.

### :hammer_and_wrench: Pull requests

A [pull request](https://docs.github.com/en/github/collaborating-with-issues-and-pull-requests/about-pull-requests) is a way to suggest changes in the repository.

## Starting with an issue

You can browse [existing issues](https://github.com/rfprod/material-design-icon-fonts-self-hosted-web/issues) to find something that needs help.

If you find something that is not present in the issues section [Submit a new issue using existing templates](https://github.com/rfprod/material-design-icon-fonts-self-hosted-web/issues/new/choose)

### :label: Labels

Labels can help you find an issue you'd like to help with.

- The [`Help wanted` label](https://github.com/github/docs/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22) is for problems or updates that anyone in the community can start working on.

Check all available labels with description [here](https://github.com/rfprod/material-design-icon-fonts-self-hosted-web/labels).

## Opening a pull request

Fork using the command line:

- [Fork the repo](https://docs.github.com/en/github/getting-started-with-github/fork-a-repo#fork-an-example-repository) so that you can make your changes without affecting the original project until you're ready to merge them.

### Make your update

Make your changes to the file(s) you'd like to update. Here are some tips and tricks for [using the docs codebase](#working-in-the-repository).

### Open a pull request

When you're done making changes and you'd like to propose them for review. Read [about pull requests](https://docs.github.com/en/github/collaborating-with-pull-requests/proposing-changes-to-your-work-with-pull-requests/about-pull-requests) if unsure how to do it.

### Submit your PR & get it reviewed

- Once you submit your PR, others from the core team will review it with you. The first thing you're going to want to do is a [self review](#self-review).
- After that, we may have questions, check back on your PR to keep up with the conversation.
- Did you have an issue, like a merge conflict? Check out our [git tutorial](https://lab.github.com/githubtraining/managing-merge-conflicts) on how to resolve merge conflicts and other issues.

### Your PR is merged!

Congratulations! The whole Intel community thanks you.

Once your PR is merged, you will be listed as a contributor in the [contributor chart](https://github.com/rfprod/material-design-icon-fonts-self-hosted-web/graphs/contributors).

## Reviewing

Every single PR is reviewed.

- Reviews are always respectful, acknowledging that everyone did the best possible job with the knowledge they had at the time.
- Reviews discuss content, not the person who created it.
- Reviews are constructive and start conversation around feedback.

### Self review

You should always review your own PR first.

For content changes, make sure that you:

- [ ] Confirm that the changes meet the user experience and goals outlined in the content design plan (if there is one).
- [ ] Review the content for technical accuracy.
- [ ] If there are any failing checks in your PR, troubleshoot them until they're all passing.

### Suggested changes

We may ask for changes to be made before a PR can be merged, either using [suggested changes](https://docs.github.com/en/github/collaborating-with-issues-and-pull-requests/incorporating-feedback-in-your-pull-request) or pull request comments. You can apply suggested changes directly through the UI. You can make any other changes in your fork, then commit them to your branch.

As you update your PR and apply changes, mark each conversation as [resolved](https://docs.github.com/en/github/collaborating-with-issues-and-pull-requests/commenting-on-a-pull-request#resolving-conversations).
